Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02863 Sound Minor Always Jan 24, 2009, 03:38 Jun 17, 2015, 08:37
Tester cibomatto2002 View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS
Status [?] Resolved Driver seta.cpp
Version 0.129u2 Fixed in Version 0.163 Build Normal
Summary 02863: jjsquawk: Go to Sound Test next BGM play Sound F It will freeze the game (watchdog missing)
Description Go to Service Mode Now go to Sound Test next BGM play Sound F It will freeze the game.
Steps To Reproduce Just play the sound test After you play BGM F it will freeze also there is some more after F that will freeze :)
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems jjsquawk
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
5
User avatar
No.03635
etabeta
Developer
Jan 24, 2009, 12:12
among the other BGMs which freeze the game there are 1F and 2F...
User avatar
No.03663
Luigi30
Tester
Jan 27, 2009, 21:42
The sounds that make it freeze cause it to hit a STOP instruction at 000806, halting exceution. The instruction is not triggered by the working sound test commands. The instruction set documentation says that processing resumes upon reset, exception, or privileged interrupt. Protection-related, maybe?
User avatar
No.03664
Haze
Senior Tester
Jan 27, 2009, 23:31
edited on: Jan 27, 2009, 23:32
more likely would just cause the same thing to happen on the real pcb... (or a watchdog reset)

User avatar
No.10063
haynor666
Tester
Dec 8, 2013, 14:52
Freeze happens even in game. It's rare but mostly happens at the beginning of level 1.
User avatar
No.11763
system11
Senior Tester
Jun 16, 2015, 12:16
edited on: Jun 16, 2015, 13:39
Spoke to an owner (trap15) - he says the sound test freeze happens on a PCB, then the watchdog resets it. I'd suspect if there's an in-game freeze it is not related to the original report. Unable to replicate in-game freeze after half an hour of solid resetting and playing stage 1.

So this bug should cover lack of watchdog if anything.